{% extends "layouts/base.html" %}
{% load don_extras %}

{% block content %}
<div class="page-organization-detail">
    <div class="organization-information">
        <div class="title mb-md">
            <h1 class="mb-xs">{{ title }}</h1>
            {% if organization.type %}<span class="pill pill--white">{{ organization.type }}</span>{% endif %}
        </div>
        <p class="description">
            {% if organization.description %}
            {{ organization.description }}
            {% else %}
            <i>Geen omschrijving ingevuld.</i>
            {% endif %}
        </p>
        <div class="contact mb-md">
            <h2>Contact</h2>
            {% if not organization.contact_website_urls and not organization.contact_email_addresses and not organization.contact_phone_numbers %}
            <i>Geen contactgegevens ingevuld.</i>
            {% else %}
            {% if organization.contact_website_urls %}
            <h3>Website{{ organization.contact_website_urls | pluralize:"s" }}</h3>
            <ul>
                {% for url in organization.contact_website_urls %}
                <li>
                    {% include "partials/external_link.html" with href=url title=url %}
                </li>
                {% endfor %}
            </ul>
            {% endif %}
            {% if organization.contact_email_addresses %}
            <h3>E-mailadres{{ organization.contact_email_addresses | pluralize:"sen" }}</h3>
            <ul>
                {% for email_address in organization.contact_email_addresses %}
                <li>
                    <a href="mailto:{{ email_address }}" target="_blank">{{ email_address }}</a>
                </li>
                {% endfor %}
            </ul>
            {% endif %}
            {% if organization.contact_phone_numbers %}
            <h3>Telefoonnummer{{ organization.contact_phone_numbers | pluralize:"s" }}</h3>
            <ul>
                {% for phone_number in organization.contact_phone_numbers %}
                <li>
                    <a href="tel:{{ phone_number }}" target="_blank">{{ phone_number }}</a>
                </li>
                {% endfor %}
            </ul>
            {% endif %}
            {% endif %}
        </div>
        <p class="information-source">Bron: {% include "partials/external_link.html" with href="https://organisaties.overheid.nl/" title="Register van Overheidsorganisaties" %}</p>
    </div>
    {% if repository_list %}
    <h2 class="mt-lg">Top {{ top_programming_languages | length }} programmeertalen</h2>
    <p>Deze lijst toont hoe vaak een programeertaal is gevonden binnen de repositories van deze organisatie.</p>
    <ol class="top-programming-languages column-60">
        {% for language, values in top_programming_languages %}
        <li class="programming-language">
            <span class="programming-language__dot" style="--language-color: {{ values.color }};"></span>
            {{ language }} ({{ values.usage_count }})
        </li>
        {% endfor %}
    </ol>
    {% endif %}
    <h2 class="mt-lg">API's</h2>
    {% if api_list %}
    <ul class="item-list mb-md column-80">
        {% for api in api_list %}
        {% include "partials/api_item.html" with api=api %}
        {% endfor %}
    </ul>
    {% if api_list_all_count > limit %}
    <a href="{% url 'web:api_list' %}?organisatie={{ organization.id }}" class="button">Bekijk alle {{ api_list_all_count }} API's</a>
    {% endif %}
    {% else %}
    {{ organization.name }} heeft geen publieke API's.
    {% endif %}
    <h2 class="mt-lg">Repository's</h2>
    {% if repository_list %}
    <ul class="item-list mb-md column-80">
        {% for repository in repository_list %}
        {% repository_item repository %}
        {% endfor %}
    </ul>
    {% if repository_list_all_count > limit %}
    <a href="{% url 'web:repository_list' %}?organisatie={{ organization.id }}" class="button">Bekijk alle {{ repository_list_all_count }} repository's</a>
    {% endif %}
    {% else %}
    {{ organization.name }} heeft geen publieke repository's.
    {% endif %}
</div>
{% endblock %}
